import request from '@/plugins/request/system';


/**
 * 获取系统栏目分类
 * @param data
 * @constructor
 */
export function  SystemMenuList(data = {}) {
  return request({
    url: '/systemv1/sysmenu/list',
    method: 'post',
    data : data
  });
}


/**
 * 获取系统栏目详情
 * @param data
 * @constructor
 */
export function  SystemMenuGet(data = {}) {
  return request({
    url: '/systemv1/sysmenu/info',
    method: 'post',
    data : data
  });
}


/**
 * 设置栏目显示和关闭
 * @param data
 * @constructor
 */
export function  SystemMenuStatusSet(data = {}) {
  return request({
    url: '/systemv1/sysmenu/status',
    method: 'post',
    data : data
  });
}

/**
 * 树模式的列表
 * @constructor
 */
export function SystemMenuTreeList() {
  return request({
    url: '/systemv1/sysmenu/tree',
    method: 'get',
  });
}

/**
 * 修改栏目分类
 * @constructor
 */
export function SystemMenuSave(data) {
  return request({
    url: '/systemv1/sysmenu/save',
    method: 'post',
    data : data
  });
}

/**
 * 删除栏目分类
 * @constructor
 */
export function SystemMenuDel(data) {
  return request({
    url: '/systemv1/sysmenu/del',
    method: 'post',
    data : data
  });
}

